
.btn {
  display: inline-block;
  margin-bottom: 0; 
  font-weight: normal;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  touch-action: manipulation;
  cursor: pointer;
  background-image: none; 
  border: 1px solid transparent;
  color: #fff;
  min-width: 100px;
  height: 40px;
  line-height: 1.2;
  border-radius: 10px;
  &,
  &:active,
  &.active {
    &:focus,
    &.focus {
    }
  }

  &:hover,
  &:focus,
  &.focus {
    color: $btn-default-color;
    text-decoration: none;
  }

  &:active,
  &.active {
    background-image: none;
    outline: 0;
  }

  &.disabled,
  &[disabled],
  fieldset[disabled] & {
    cursor: $cursor-disabled;
    opacity: .2;
  }

}

a.btn {
  &.disabled,
  fieldset[disabled] & {
    pointer-events: none; 
  }
}

.btn--default {
}
.btn--primary {
}
// Success appears as green
.btn--success {
  background-color: #2dae70;
}
// Info appears as blue-green
.btn--info {
}
// Warning appears as orange
.btn--warning {
}
// Danger and error appear as red
.btn--danger {
  background-color: #ce264f;
}
// Block button
// --------------------------------------------------

.btn-block {
  display: block;
  width: 100%;
}

// Vertically space out multiple block buttons
.btn-block + .btn-block {
  margin-top: 5px;
}

// Specificity overrides
input[type="submit"],
input[type="reset"],
input[type="button"] {
  &.btn-block {
    width: 100%;
  }
}
